Name: icingaweb2
Version: 2.11.4
Release: 2.fc36
Summary: Icinga Web

Group: Applications/System
License: GPLv2+
URL: https://icinga.com

Source0: icingaweb2-2.11.4.tgz
Source1: icingaweb2-rpm.tgz

BuildArch: noarch

Requires: httpd
Requires: php(httpd)

Requires: icingaweb2-common = 2.11.4-2.fc36
Requires: php-icinga = 2.11.4-2.fc36
Requires: icingacli = 2.11.4-2.fc36
Requires: icinga-l10n >= 1.1.0

%description
Lightweight and extensible web interface to tackle your monitoring challenge.

%prep
%autosetup
install -d sources
cd sources
tar -xzf %_topdir/SOURCES/icingaweb2-rpm.tgz
cd -

%build
cd sources/SELinux
for selinuxvariant in mls targeted; do
make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile
mv icingaweb2.pp icingaweb2.pp.${selinuxvariant}
make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile clean
done
cd -

%install

install -d %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/icingaweb2
cp -pr application doc library modules public schema %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/icingaweb2
install -dm 2770 %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/etc/icingaweb2 %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/etc/icingaweb2/{enabledModules,modules}
install -Dpm 0644 etc/bash_completion.d/icingacli %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/bash-completion/completions/icingacli
install -Dpm 0644 sources/index.php %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/icingaweb2/public/index.php
install -d %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/php
mv %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/icingaweb2/library/Icinga %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/php
install -dm 2770 %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/var/cache/icingaweb2 %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/var/lib/icingaweb2
install -dm 2775 %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/var/log/icingaweb2
install -Dpm 0644 sources/icingaweb2.conf %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/etc/httpd/conf.d/icingaweb2.conf
install -Dpm 0755 sources/icingacli %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/bin/icingacli
for selinuxvariant in mls targeted; do
install -Dpm 0644 sources/SELinux/icingaweb2.pp.${selinuxvariant} %_topdir/BUILDROOT/icingaweb2-2.11.4-2.fc36.x86_64/usr/share/selinux/${selinuxvariant}/icingaweb2.pp
done

%pre
getent group icingacmd >/dev/null || groupadd -r icingacmd
usermod -a -G icingacmd,icingaweb2 apache

%files
%doc CHANGELOG.md
%doc README.md
%docdir /usr/share/icingaweb2/doc
%license LICENSE
/usr/share/icingaweb2/application/controllers
/usr/share/icingaweb2/application/fonts
/usr/share/icingaweb2/application/forms
/usr/share/icingaweb2/application/layouts
/usr/share/icingaweb2/application/views
/usr/share/icingaweb2/application/VERSION
/usr/share/icingaweb2/doc
/usr/share/icingaweb2/modules
/usr/share/icingaweb2/public
/usr/share/icingaweb2/schema
%config(noreplace) /etc/httpd/conf.d/icingaweb2.conf

%package common
Summary: Common files for Icinga Web and the Icinga CLI

Requires(pre): shadow-utils

%description common
Manages common files for Icinga Web and the Icinga CLI.

%files common
%attr(-, -, icingaweb2) %dir /var/cache/icingaweb2
%attr(-, -, icingaweb2) %dir /var/log/icingaweb2
%attr(-, -, icingaweb2) %dir /var/lib/icingaweb2
%attr(-, -, icingaweb2) %config(noreplace) %dir /etc/icingaweb2
%attr(-, -, icingaweb2) %config(noreplace) %dir /etc/icingaweb2/modules
%attr(-, -, icingaweb2) %dir /etc/icingaweb2/enabledModules

%pre common
getent group icingaweb2 >/dev/null || groupadd -r icingaweb2

%package selinux
Summary: Icinga Web SELinux policy
BuildRequires: checkpolicy
BuildRequires: selinux-policy-devel
Requires: icingaweb2 = 2.11.4-2.fc36

Requires: selinux-policy >= %{_selinux_policy_version}

Requires(post): policycoreutils
Requires(postun): policycoreutils

%description selinux
SELinux policy for Icinga Web.

%files selinux
%license LICENSE
/usr/share/selinux/*/icingaweb2.pp

%post selinux
for selinuxvariant in mls targeted; do
/usr/sbin/semodule -s ${selinuxvariant} -i /usr/share/selinux/${selinuxvariant}/icingaweb2.pp &> /dev/null || true
done
/usr/sbin/fixfiles -R icingaweb2 restore || true
for dir in /var/log/icingaweb2 /var/lib/icingaweb2 /etc/icingaweb2; do
/usr/sbin/restorecon -R ${dir} || true
done

%postun selinux
if [ $1 -eq 0 ]; then
for selinuxvariant in mls targeted; do
/usr/sbin/semodule -s ${selinuxvariant} -r icingaweb2 &> /dev/null || true
done
/usr/sbin/fixfiles -R icingaweb2 restore || true
for dir in /var/log/icingaweb2 /var/lib/icingaweb2 /etc/icingaweb2; do
if [ -d ${dir} ]; then
/usr/sbin/restorecon -R ${dir} &> /dev/null || true
fi
done
fi

%package -n icingacli
Summary: Icinga CLI
Requires: php-cli
Requires: bash-completion
Requires: icingaweb2-common = 2.11.4-2.fc36
Requires: php-icinga = 2.11.4-2.fc36
Requires: icinga-l10n >= 1.1.0

%description -n icingacli
Icinga command line interface.

%files -n icingacli
%license LICENSE
/usr/share/icingaweb2/application/clicommands
/usr/share/bash-completion/completions/icingacli
/usr/bin/icingacli

%package -n php-icinga
Summary: Icinga Web PHP library
Group: Development/Libraries
Obsoletes: php-Icinga <= 2.11.4
Requires: icingaweb2-vendor-dompdf = 2.11.4-2.fc36
Requires: icingaweb2-vendor-HTMLPurifier = 1:2.11.4-2.fc36
Requires: icingaweb2-vendor-JShrink = 2.11.4-2.fc36
Requires: icingaweb2-vendor-lessphp = 2.11.4-2.fc36
Requires: icingaweb2-vendor-Parsedown = 2.11.4-2.fc36
Requires: icingaweb2-vendor-zf1 = 2.11.4-2.fc36
Requires: php-curl
Requires: php-dom
Requires: php-fileinfo
Requires: php-gd
Requires: php-gettext
Requires: php-intl
Requires: php-json
Requires: php-ldap
Requires: php-mbstring
Requires: php-openssl
Requires: php-pdo
Requires: php-pdo_mysql
Requires: php-pdo_pgsql

Requires: php-process

Requires: php-xml
Requires: icinga-php-library >= 0.9.0
Requires: icinga-php-thirdparty >= 0.11.0

%description -n php-icinga
Icinga Web PHP and vendor libraries.

%files -n php-icinga
%license LICENSE
/usr/share/php/Icinga

%package vendor-dompdf
Summary: Icinga Web vendor library dompdf
Group: Development/Libraries
License: LGPLv2.1
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-dompdf
Icinga Web vendor library dompdf.

%files vendor-dompdf
/usr/share/icingaweb2/library/vendor/dompdf

%package vendor-HTMLPurifier
Epoch: 1
Summary: Icinga Web vendor library HTMLPurifier
Group: Development/Libraries
License: LGPLv2.1
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-HTMLPurifier
Icinga Web vendor library HTMLPurifier.

%files vendor-HTMLPurifier
/usr/share/icingaweb2/library/vendor/HTMLPurifier
/usr/share/icingaweb2/library/vendor/HTMLPurifier.autoload.php
/usr/share/icingaweb2/library/vendor/HTMLPurifier.php

%package vendor-JShrink
Summary: Icinga Web vendor library JShrink
Group: Development/Libraries
License: BSD
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-JShrink
Icinga Web vendor library JShrink.

%files vendor-JShrink
/usr/share/icingaweb2/library/vendor/JShrink

%package vendor-lessphp
Summary: Icinga Web vendor library lessphp
Group: Development/Libraries
License: MIT
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-lessphp
Icinga Web vendor library lessphp.

%files vendor-lessphp
/usr/share/icingaweb2/library/vendor/lessphp

%package vendor-Parsedown
Summary: Icinga Web vendor library Parsedown
Group: Development/Libraries
License: MIT
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-Parsedown
Icinga Web vendor library Parsedown.

%files vendor-Parsedown
/usr/share/icingaweb2/library/vendor/Parsedown

%package vendor-zf1
Summary: Icinga's fork of Zend Framework 1
Group: Development/Libraries
License: BSD
Requires: icingaweb2-common = 2.11.4-2.fc36

%description vendor-zf1
Icinga's fork of Zend Framework 1.

%files vendor-zf1
/usr/share/icingaweb2/library/vendor/Zend

%changelog
* Fri Mar 17 2023 Icinga GmbH <info@icinga.com> - 2.11.4-2.fc36
- Version 2.11.4-2

